### Enumeration

# Soup MessagePriority

#### Declaration

    enum Soup.MessagePriority

#### Description [src]

Priorities that can be set on a `SoupMessage` to instruct the message queue to process it before any other message with lower priority.

#### Members

Name | Description
--- | ---
`SOUP_MESSAGE_PRIORITY_VERY_LOW` | The lowest priority, the messages with this priority will be the last ones to be attended.
`SOUP_MESSAGE_PRIORITY_LOW` | Use this for low priority messages, a `SoupMessage` with the default priority will be processed first.
`SOUP_MESSAGE_PRIORITY_NORMAL` | The default priotity, this is the priority assigned to the `SoupMessage` by default.
`SOUP_MESSAGE_PRIORITY_HIGH` | High priority, a `SoupMessage` with this priority will be processed before the ones with the default priority.
`SOUP_MESSAGE_PRIORITY_VERY_HIGH` | The highest priority, use this for very urgent `SoupMessage` as they will be the first ones to be attended.